auth_login/urls.py
from django.urls import path
from auth_login import views

app_name = 'auth'

urlpatterns = [
    path('login', views.login, name='login'), # auth/login
    path('logout', views.logout, name='logout') 
]

basket/urls.py
from basket import views
from django.urls import path

app_name = 'basket'

urlpatterns = [
    path('players/list', views.players_list, name="players_list"),   
    path('teams/list', views.teams_list, name="teams_list"),   
    path('coachs/list', views.coachs_list, name="coachs_list"),   
    path('matchs/list', views.matchs_list, name="matchs_list"),

    path('create/team', views.create_team, name="create_team"),  
    path('create/player', views.create_player, name="create_player"),
    path('create/coach', views.create_coach, name="create_coach"),

    path('update/coach/<int:coach_id>', views.update_coach, name="update_coach"),
    path('update/team/<int:team_id>', views.update_team, name="update_team"), 
    path('update/player/<int:player_id>', views.update_player, name="update_player"),

    path('delete/coach/<int:coach_id>', views.delete_coach, name="delete_coach"),
    path('delete/team/<int:team_id>', views.delete_team, name="delete_team"),
    path('delete/player/<int:player_id>', views.delete_player, name="delete_player"),

    path('', views.home, name="home"),   
]

main/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('basket/', include('basket.urls')),
    path('auth/', include('auth_login.urls'))
]



if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.STATIC_ROOT)

basket/models.py
from django.db import models



"""
Nombre entrenador
Edad
Email
Rut
Apodo
"""
class Coach(models.Model):
    name = models.CharField(max_length=150)
    age = models.PositiveIntegerField()
    email = models.EmailField()
    rut = models.CharField(max_length=12)
    nickname = models.CharField(max_length=80)

    def __str__(self):
        return self.name

    class Meta:
        permissions = (
            ('is_reporter', 'Muestra elementos de reportes'),
        )

"""
Nombre del team
Descripción del team
Logo del team
Código de equipo
"""
class Team(models.Model):
    name = models.CharField(max_length=150)
    description = models.TextField()
    code = models.CharField(max_length=20, unique=True)
    logo = models.ImageField(upload_to='teams/')
    coach = models.OneToOneField(Coach, on_delete=models.CASCADE)

    def count_player(self):
        return Player.objects.filter(team=self.pk).count()

    def __str__(self):
        return self.name

"""
Nombre jugador
Apodo
Fecha de nacimiento
Edad
Rut
Email
Estatura
Peso
Fotografía
Posición de juego (opciones: Base, Escolta, Alero, Ala-pivot, Pivot)
"""

POSITION_PLAYER = (
    ('BA', 'Base'),
    ('ES', 'Escolta'),
    ('AL', 'Alero'),
    ('AP', 'Ala-pivot'),
    ('PI', 'Pivot'),
)

class Player(models.Model):
    name = models.CharField(max_length=150)
    nickname = models.CharField(max_length=80)
    birthday = models.DateField()
    age = models.PositiveIntegerField()
    rut = models.CharField(max_length=12)
    email = models.EmailField()
    height = models.PositiveIntegerField(help_text='in centimeters')
    weight = models.PositiveIntegerField(help_text='in grams')
    photo = models.ImageField(upload_to='players/')
    position = models.CharField(choices=POSITION_PLAYER, max_length=2)
    team = models.ForeignKey(Team, on_delete=models.CASCADE)

    def __str__(self):
        return '{name} ({team})' . format(name=self.name, team=self.team)

    class Meta:
        permissions = (
            ('is_reporter', 'Muestra elementos de reportes'),
        )



class Roster(models.Model):
    name = models.CharField(max_length=150)
    player = models.ManyToManyField(Player)

    def __str__(self):
        return self.name


class Match(models.Model):
    name = models.CharField(max_length=150)
    team1 = models.ForeignKey(Roster, related_name='team1', on_delete=models.CASCADE)
    team2 = models.ForeignKey(Roster, related_name='team2', on_delete=models.CASCADE)
    date = models.DateTimeField()

    def __str__(self):
        return '{name} ({team1} vs {team2})'.format(
            name=self.name,
            team1=self.team1,
            team2=self.team2
        ) 

    class Meta:
        permissions = (
            ('is_reporter', 'Muestra elementos de reportes'),
        )

basket/forms.py
from django import forms
from basket.models import Coach, Player, Team


class CoachForm(forms.ModelForm):
	class Meta:
		model = Coach
		fields = '__all__'

class PlayerForm(forms.ModelForm):
	class Meta:
		model = Player
		fields = '__all__'

class TeamForm(forms.ModelForm):
	class Meta:
		model = Team
		fields = '__all__'

basket/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.decorators import login_required, permission_required
from django.contrib import messages
from django.core.paginator import (
Paginator, 
EmptyPage, 
PageNotAnInteger 
)
from basket.models import (
    Team,
    Player,
    Coach,
    Match
)
from basket.forms import CoachForm, PlayerForm, TeamForm

@login_required
def players_list(request):
    template_name = 'players_list.html'
    data = {}
    teams = Team.objects.all()

    for team in teams:
        team.players = Player.objects.filter(team=team)
        data['teams'] = teams


    #if 'q' in request.GET:
    #  query = request.GET.get('q')
    #  name = Player.objects.filter(name__icontains=query)
    #else:                
        #name = Player.objects.all()       

    return render(request, template_name, data)

@login_required
def teams_list(request):
    template_name = 'teams_list.html'
    data = {}

    #data['teams'] = Team.objects.all()
    page = request.GET.get('page', 1)
    team_lists = Team.objects.all()

    paginator = Paginator(team_lists, 2)

    try:
        data['teams'] = paginator.page(page)
    except PageNotAnInteger:
        data['teams'] = paginator.page(1)
    except EmptyPage:
        data['teams'] = paginator.page(paginator.num_pages)

    return render(request, template_name, data)


@login_required
def coachs_list(request):
    template_name = 'coach_list.html'
    data = {}
    data['coachs'] = Coach.objects.all()

    return render(request, template_name, data)

@login_required
def matchs_list(request):
    template_name = 'matchs_list.html'
    data = {}

    data['matchs'] = Match.objects.all()

    return render(request, template_name, data)

@login_required
def home(request):
    template_name = 'home.html'
    data = {}

    #if 'q' in request.GET:
    #    query = request.GET.get('q')
    # #   name = Player.objects.filter(name__icontains=query)
    #else:

    data['last_5_matchs'] = Match.objects.all().order_by('-pk')[:3]
    data['last_5_players'] = Player.objects.all().order_by('-pk')[:3]
    data['teams'] = Team.objects.all()
    

    return render(request, template_name, data)

@permission_required('basket.add_coach')
def create_coach(request):
    data = {}
    template_name = 'create_coach.html'

    data['form'] = CoachForm(request.POST or None)
    if data['form'].is_valid():
        data['form'].save()
        messages.add_message(
                    request, 
                    messages.SUCCESS, 
                    'Coach created.'
                )
        return  redirect('basket:coachs_list')

    return render(request, template_name, data)

@permission_required('basket.add_team')
def create_team(request):
    data = {}
    template_name = 'create_team.html'

    data['form'] = TeamForm(request.POST or None, request.FILES)
    if data['form'].is_valid():
        data['form'].save()
        return  redirect('basket:teams_list')

    return render(request, template_name, data)

@permission_required('basket.add_player')
def create_player(request):
    data = {}
    template_name = 'create_player.html'

    data['form'] = PlayerForm(request.POST or None, request.FILES)
    if data['form'].is_valid():
        data['form'].save()
        return  redirect('basket:players_list')

    return render(request, template_name, data)

@permission_required('basket.change_coach')
def update_coach(request, coach_id):
    template_name = 'update_coach.html'
    data = {}

    coach = Coach.objects.get(pk=coach_id)
    data['form'] = CoachForm(request.POST or None, instance=coach)

    if data['form'].is_valid():
        data['form'].save()
        return  redirect('basket:coachs_list')


    return render(request, template_name, data)

@permission_required('basket.change_team')
def update_team(request, team_id):
    template_name = 'update_team.html'
    data = {}

    team = Team.objects.get(pk=team_id)
    data['form'] = TeamForm(request.POST or None, instance=team)

    if data['form'].is_valid():
        data['form'].save()
        return  redirect('basket:teams_list')


    return render(request, template_name, data)

@permission_required('basket.change_player')
def update_player(request, player_id):
    template_name = 'update_player.html'
    data = {}

    #player = Player.objects.get(pk=player_id)
    #
    #if request.method == 'POST':
    #    data['form'] = PlayerForm(request.POST, files=request.FILES, instance=player)
    #    if data['form'].is_valid():
    #        player.save()
    #        return redirect('basket:players_list')
    #    else:
   #         data['form'] = PlayerForm(instance=player)

    
    player = Player.objects.get(pk=player_id)
    data['form'] = PlayerForm(request.POST or None, instance=player)

    if data['form'].is_valid():
        data['form'].save()
        return  redirect('basket:players_list')


    return render(request, template_name, data)

@permission_required('basket.delete_coach')
def delete_coach(request, coach_id):
    data = {}
    data['coach'] = Coach.objects.get(pk=coach_id)
    

    if request.method == 'POST':
        data['coach'].delete()
        return redirect('basket:coachs_list')

    template_name = 'delete_coach.html'
    return render(request, template_name, data)


@permission_required('basket.change_team')
def delete_team(request, team_id):
    data = {}
    data['team'] = Team.objects.get(pk=team_id)
    

    if request.method == 'POST':
        data['team'].delete()
        return redirect('basket:teams_list')

    template_name = 'delete_team.html'
    return render(request, template_name, data)

@permission_required('basket.change_player')
def delete_player(request, player_id):
    data = {}
    data['player'] = Player.objects.get(pk=player_id)
    

    if request.method == 'POST':
        data['player'].delete()
        return redirect('basket:players_list')

    template_name = 'delete_player.html'
    return render(request, template_name, data)

basket/templates/base.html
{% load static %}
<!doctype html>
<html lang="es-cl">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://kit.fontawesome.com/6a748a1171.js" crossorigin="anonymous"></script>
    
    <link rel="stylesheet" href="{% static 'css/style.css'%}">


    <title>Basket-sistem | {% block title %}home{% endblock %}</title>
  
    {% block extra_css %}

    {% endblock %}


  </head>
  <body>
   <nav class="navbar navbar-dark bg-dark-primary" style="background-color: black">
 
   </nav>
   <nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-3">
    <div class="container">
  <a class="navbar-brand" href="#">
    <img src="{%static 'images/logo_1.png' %}" alt="">
  </a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#menu" aria-controls="menu" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  

  <div class="collapse navbar-collapse" id="menu">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'basket:home' %}"><i class="fas fa-home"></i> Home <span class="sr-only">(current)</span></a>
      </li>

      <li class="nav-item active">
        <a class="nav-link" href="{% url 'basket:teams_list' %}"><i class="fas fa-user-friends"></i> Team</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'basket:players_list' %}"><i class="fas fa-basketball-ball"></i> Player</a> 
      </li>
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'basket:coachs_list' %}"><i class="fas fa-user-tie"></i> Coach</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'basket:matchs_list' %}"><i class="far fa-calendar-alt"></i> Match</a>
      </li>      
    </ul>
   
       <p style="color: white">Hello<strong> {{user_type}} {{name}} </strong> | <a style="color: orange" href="{% url 'auth:logout' %}">Logout <i class="fas fa-sign-out-alt"></i></a></p>
   
    
  </div>

</nav>
<h4 style="color: red">Links</h4>
  <ul>
    <li><a href="{% url 'basket:home' %}">Home</a></li>
    <li><a href="{% url 'basket:teams_list' %}">Teams</a></li>    
    <li><a href="{% url 'basket:players_list' %}">Players</a></li>
    <li><a href="{% url 'basket:coachs_list' %}">Coach</a></li>
    <li><a href="{% url 'basket:matchs_list' %}">Matchs</a></li>
  </ul>
<div class="container">
  		{% block content %}
  		{% endblock %}




  	</div>


	<!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>

basket/templates/coach_list.html
{% extends "base.html" %}
{% block title %}list coachs{% endblock %}

<html lang="es-cl">
 
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


  
{% block extra_css %}
<style>
    .color_update_coach {
        color: #F3EC11;
        font-size: 22px;
    }
    .color_delete_coach {
        color: #F51809;
        font-size: 22px;
    }
</style>
{% endblock %}

{% block content %}
{% if messages %}
    {% for message in messages %}
    <div class="alert {{ message.tags }} alert.dismissible fade show" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hiddem="true">&times;</span>             
        </button>
    </div> 

    </ul>
    {% endfor%}
  {% endif %}

     <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>     
        <li class="breadcrumb-item active" aria-current="page">Coach</li>
        </ol>
    </nav>  
  
     <head>

        <div class="container">

        <div class="row mt-3">
            <div class="col-md-9 col-lg-10">
                <h3> LIST COACHS </h3>    
            </div>
            <div class="col-md-3 col-lg-2"> 
                {% if perms.basket.add_coach %}
                <a href="{% url 'basket:create_coach' %}" class="btn btn-success btn-block mt-3"><i class="fas fa-plus-square"></i>  Create Coach</a> 
                {% endif %}

                {% if perms.basket.is_reporter %}
                <a href="#" class="btn btn-primary btn-block mt-3"><i class="fas fa-chart-pie"></i> See Report</a> 
                {% endif %}


            </div>
        </div>
    </head>


    <body>  
        <!--    <div class="col-10"> -->
        <table class="table table-hover mt-3">
        <tr>
        <thead class="thead-dark">
            <th style="color: white">#</th>
            <th style="color: white">Coachs</th>
            <th style="color: white">Action</th>
        </thead>
            </div>
                <tr>
                {% for coach in coachs %}
                <tr>
                    <td style="color: black">-></td>
                    <td>{{coach.name}} (<strong>{{coach.team.name}}</strong>)</td>
                    <td>
                    {% if perms.basket.change_coach %}
                    <a href="{% url 'basket:update_coach' coach.id %}"><i class="fas fa-edit color_update_coach"></i></a> |
                    {% endif %}
                    {% if perms.basket.delete_coach %}
                    <a href="{% url 'basket:delete_coach' coach.id %}"><i class="fas fa-trash-alt color_delete_coach"></i></a>
                    {% endif %}
                    </td>
                </tr>
                {% endfor %}
                </tr>



                

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>
{% endblock %}

basket/templates/create_coach.html
{% extends "base.html" %}
{% load bootstrap4 %}
{% block title %}create coach{% endblock %}
{% block content %}
<nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>      
        <li class="breadcrumb-item"><a href="{% url 'basket:coachs_list' %}">Coachs</a></li>
        <li class="breadcrumb-item active" aria-current="page">Create coach</li>         
        </ol>
    </nav>
  <title>Agregar</title>
</head>

<body>
	<h2>Agregar Coach</h2>
	{% bootstrap_messages %}
	<form class="" method="post" enctype="multipart/form-data">
		{% csrf_token %}
		{% bootstrap_form form %}
		{% buttons %}
    		<button type="submit" class="btn btn-primary btn-lg">
    		<i class="fas fa-save"></i> Agregar
    		</button>
  		{% endbuttons %}


	</form>
{% endblock %}

basket/templates/create_player.html
{% extends "base.html" %}
{% load bootstrap4 %}
{% block title %}create player{% endblock %}
{% block content %}

 <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>       
        <li class="breadcrumb-item"><a href="{% url 'basket:players_list' %}">Players</a></li>
        <li class="breadcrumb-item active" aria-current="page">Create Player</li>         
        </ol>
    </nav>	

<title>Agregar</title>
</head>

<body>
	<h2>Agregar Player</h2>
	{% bootstrap_messages %}

	<form class="" method="post" enctype="multipart/form-data">
		{% csrf_token %}
		{% bootstrap_form form %}

		{% buttons %}
    		<button type="submit" class="btn btn-primary btn-lg">
      		<i class="fas fa-save"></i> Agregar
    		</button>
  		{% endbuttons %}


	</form>
{% endblock %}

basket/templates/create_team.html
{% extends "base.html" %}
{% load bootstrap4 %}
{% block title %}create team{% endblock %}
{% block content %}

 <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>  
        <li class="breadcrumb-item"><a href="{% url 'basket:teams_list' %}">Teams</a></li>
        <li class="breadcrumb-item active" aria-current="page">Create Team</li>         
        </ol>
</nav>	
<title>Match</title>
  </head>
  <body>
  	<div class="container">
	<h2>Agregar Team</h2>
	{% bootstrap_messages %}
	<form class="" method="post" enctype="multipart/form-data">
		{% csrf_token %}
		{% bootstrap_form form %}
		{% buttons %}
    		<button type="submit" class="btn btn-primary btn-lg">
      		<i class="fas fa-save"></i> Agregar
    		</button>
  		{% endbuttons %}



	</form>
{% endblock %}

basket/templates/delete_coach.html
{% extends "base.html" %}
{% load bootstrap4 %}
{% block title %}delete coach{% endblock %}
{% block content %}

<nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>      
        <li class="breadcrumb-item"><a href="{% url 'basket:coachs_list' %}">Coachs</a></li>
        <li class="breadcrumb-item active" aria-current="page">Delete Coach</li>         
        </ol>
    </nav>
  <h2>Delete Coach</h2>
  {% bootstrap_messages %}
</head>

<body>
	<p>¿Estas seguro que quieres eliminar a <strong>{{coach.name}}</strong>?</p>
	<form class="" method="post">
		{% csrf_token %}

		<input type="submit" name="" class="btn btn-danger" value="Eliminar">|<a href="{% url 'basket:coachs_list' %}" class="btn btn-light">Cancelar</a> 
				

	</form>
{% endblock %}

basket/templates/players_list.html
{% extends "base.html" %}
{% block title %}list players{% endblock %}

<html lang="es-cl">
  
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

{% block extra_css %}
<style>
	.color_update_player {
		color: #F3EC11;
		font-size: 22px;
	}
	.color_delete_player {
		color: #F51809;
		font-size: 22px;
	}
</style>
{% endblock %}


{% block content %}

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>     
        <li class="breadcrumb-item active" aria-current="page">Player</li>
        </ol>
    </nav>	
    	
  		
  	<head>
    	<div class="row mt-3">
        	<div class="col-md-9 col-lg-10">
        		<h3> LIST PLAYERS </h3>	 
			</div>
        	<div class="col-md-3 col-lg-2">	
                {% if perms.basket.add_player %}
        		<a href="{% url 'basket:create_player' %}" class="btn btn-success btn-block mt-3"><i class="fas fa-plus-square"></i> Create Player</a> 
                {% endif %}

                {% if perms.basket.is_reporter %}
                <a href="#" class="btn btn-primary btn-block mt-3"><i class="fas fa-chart-pie"></i> See Report</a> 
                {% endif %}
			</div>
		</div>
	</head>
  	<body> 
  		<table class="table table-hover mt-3">

  	   	{% for team in teams %}
  	   	        
       
        		    <tr>                                        	
                	<thead class="thead-dark">
                        <th style="color: white">#</th>
        				<th style="color: white">{{team.name}}</th>
        				<th style="color: white">Action</th>
        			</thead>
        			</div>

        			{% for player in team.players %}
        			<tr><td style="color: black">-></td>
        				<td>{{player.name}}</td>
        				<td>
                            
                            {% if perms.basket.change_player %}
        					<a href="{% url 'basket:update_player' player.id %}"><i class="fas fa-edit color_update_player"></i></a> |
                            {% endif %}
                            {% if perms.basket.delete_player %}
        					<a href="{% url 'basket:delete_player' player.id %}"><i class="fas fa-trash-alt color_delete_player"></i></a>
                            {% endif %}

        				</td> 
        			</tr>
        			{% endfor %}
					<tr>
        {% endfor %}
                </tr>
        </table>             

    </body>

 <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  
</html>
{% endblock %}